# `wxHtmlLinkEvent`
[🔗](https://github.com/erlang/otp/blob/master/lib/wx/src/gen/wxHtmlLinkEvent.erl#L58)

This event class is used for the events generated by `m:wxHtmlWindow`.

This class is derived, and can use functions, from:

* `m:wxCommandEvent`

* `m:wxEvent`

wxWidgets docs: [wxHtmlLinkEvent](https://docs.wxwidgets.org/3.2/classwx_html_link_event.html)

## Events

Use `wxEvtHandler:connect/3` with `wxHtmlLinkEventType` to subscribe to events of this type.

# `wxHtmlLink`

```elixir
-type wxHtmlLink() ::
          #wxHtmlLink{type :: wxHtmlLinkEvent:wxHtmlLinkEventType(), linkInfo :: wx:wx_wxHtmlLinkInfo()}.
```

# `wxHtmlLinkEvent`

```elixir
-type wxHtmlLinkEvent() :: wx:wx_object().
```

# `wxHtmlLinkEventType`

```elixir
-type wxHtmlLinkEventType() :: command_html_link_clicked | html_cell_clicked | html_cell_hover.
```

# `getLinkInfo`

```elixir
-spec getLinkInfo(This) -> wx:wx_wxHtmlLinkInfo() when This :: wxHtmlLinkEvent().
```

Returns the `wx_wxHtmlLinkInfo()` which contains info about the cell clicked and the
hyperlink it contains.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
